Package org.eclipse.cdt.core.parser.util

# Class CharArrayIntMap

java.lang.Object
org.eclipse.cdt.core.parser.util.HashTable
org.eclipse.cdt.core.parser.util.CharTable
org.eclipse.cdt.core.parser.util.CharArrayIntMap

All Implemented Interfaces:
  `Cloneable`

public class CharArrayIntMap extends CharTable

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`undefined`

### Fields inherited from class org.eclipse.cdt.core.parser.util.CharTable

`keyTable`

### Fields inherited from class org.eclipse.cdt.core.parser.util.HashTable

`currEntry, hashTable, minHashSize, nextTable`

## Constructor Summary

Constructors
Constructor
Description
`CharArrayIntMap(int initialSize, int undefined)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`clone()`
`int`
`get(char[] image)`
`int`
`get(char[] key, int start, int length)`
`int`
`get(int pos)`
`int`
`getKeyLocation(char[] key, int start, int length)`
`int`
`put(char[] key, int value)`
`int`
`put(char[] key, int start, int length, int value)`
`void`
`putAll(CharArrayIntMap map)`
Puts all mappings of map into this map.
`protected void`
`resize(int size)`

### Methods inherited from class org.eclipse.cdt.core.parser.util.CharTable

`addIndex, addIndex, containsKey, containsKey, findKey, hash, hash, hash, keyArray, keyAt, keys, lookup, lookup, lookup, removeEntry, toList`

### Methods inherited from class org.eclipse.cdt.core.parser.util.HashTable

`capacity, countCollisions, dumpNexts, isEmpty, linkIntoHashTable, partition, rehash, removeEntry, resize, size, sort`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### undefined

public final int undefined

## Constructor Details

### CharArrayIntMap

public CharArrayIntMap(int initialSize, int undefined)

## Method Details

### resize

protected void resize(int size)

Overrides:
  `resize` in class `CharTable`

### clear

public void clear()

Overrides:
  `clear` in class `CharTable`

### clone

public Object clone()

Overrides:
  `clone` in class `CharTable`

### put

public int put(char[] key, int start, int length, int value)

### put

public int put(char[] key, int value)

### get

public int get(char[] key, int start, int length)

### get

public int get(int pos)

### getKeyLocation

public int getKeyLocation(char[] key, int start, int length)

### get

public int get(char[] image)

### putAll

public void putAll(CharArrayIntMap map)
Puts all mappings of map into this map. The keys are not cloned.

Since:
  5.0